Bug 242195 - gnome photo printer cannot change paper size
gnome photo printer cannot change paper size
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpp (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 00:43 EDT by Bruce Brackbill
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.7.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 18:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Brackbill 2007-06-02 00:43:29 EDT
Description of problem:
The default paper size in system-config-printer is set to A4.
I open up gpp and set the paper size from within gpp to 4x6.
I also set the appropriate size under the layout tab in gpp.
I hit print and nothing prints.  Starting gpp from the command reports:
** (gnome-photo-printer:2583): WARNING **: Could not find child for option
"Backend" with id "lpr"

Version-Release number of selected component (if applicable):
hpijs-1.7.2-10.fc7
gpp-0.6.6-3.fc6

Steps to Reproduce:
open up gpp and set the paper size from within gpp to 4x6.
set the appropriate size under the layout tab in gpp.
hit print

Actual results:
nothing prints.

Expected results:
Prints the picture

Additional info:
A workaround is that if you set the paper size from within system-config-printer
then gpp will use that size.... but that is pretty inconvenient to have to set
the paper size from within system-config-printer every time
Comment 1 Matt Domsch 2007-09-20 09:55:04 EDT
I've pinged the upstream author about this.  Setting NEEDINFO waiting on him.
Thanks,
Matt
Comment 2 Matt Domsch 2007-09-27 00:18:04 EDT
I've built gpp-0.7.0 for Fedora 7 (testing) and Fedora 8.  They appear to
resolve this issue in my testing.

Please test one if these if you can, and re-open the issue if you find it is not
resolved to your satisfaction.

Thanks,
Matt
Comment 3 Matt Domsch 2007-09-27 09:47:03 EDT
This update in testing needs people to verify that it works for them.  If 
indeed it does work for you, please go to:
 http://admin.fedoraproject.org/updates/pending/F7/gpp-0.7.0-1.fc7

and vote as such.  This will speed up it's release as an official update.

Thanks,
Matt
Comment 4 Fedora Update System 2007-10-11 18:53:16 EDT
gpp-0.7.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.